#!/bin/sh
source /etc/vdr.d/conf/vdr
source /etc/vdr.d/conf/gen2vdr.cfg

if [ "$WATCHDOG" = "0" ] ; then
   sleep 20
   # check if vdr is available
   if [ "$(svdrpsend.pl volu | grep "^250")" = "" ] ; then
      logger -s "VDR does not respond - Restarting"
      /etc/init.d/vdr stop
      killall -9 vdr runvdr
      /etc/init.d/vdr start
      sleep 10      
      if [ "$(svdrpsend.pl volu | grep "^250")" = "" ] ; then
         logger -s "VDR still does not respond - Rebooting"
         if [ ! -f /etc/vdrReboot ] ; then
            logger -s "VDR still does not respond - Rebooting"
            touch /etc/vdrReboot
            screen -dm sh -c "reboot"
            exit
         fi   
      else	 
         [ -f /etc/vdrReboot ] && rm /etc/vdrReboot	 
      fi
   else	 
      [ -f /etc/vdrReboot ] && rm /etc/vdrReboot
   fi	 
fi      
# Disk-checker starten
screen -dm sh -c "sh /_config/bin/check_df.sh"   
[ "$VDRADMIN" = "1" ] && /etc/init.d/vdradmin start
[ "$XXV" = "1" ] && /etc/init.d/xxv start
# mount usb-devices
[ "$(lsmod | grep usb_storage)" != "" ] && modprobe -r usb-storage
modprobe usb-storage   
sh /_config/bin/checkstart.sh   
if [ "$AUTOMOUNT" = "1" ] ; then
   if [ "$(cdctl -g | grep "There is no")" = "" ] ; then
      mount /dev/cdrom
   fi	 
fi
if [ "$(lsmod | grep "^dvb_ttpci")" != "" ] ; then
   # /usr/bin/wss.sh init
   sleep 1
   # /usr/bin/wss.sh auto
fi
# Get epgdata via epgscan or tvm2vdr
screen -dm sh -c "sh /_config/bin/g2v_epgscan.sh"
# Check for noad tasks to resume
NOAD_SCRIPT="${VIDEO}/noad.sh"
if [ -f $NOAD_SCRIPT ] ; then
   find /video -follow -name noad.pid -type f -print| xargs /bin/rm -f
   screen -dm sh -c "sh $NOAD_SCRIPT"
fi      
[ -f /_config/bin/myinit.sh ] && screen -dm sh -c /_config/bin/myinit.sh
