#!/bin/sh
source /etc/vdr.d/conf/gen2vdr.cfg
#set -x

logger -s "$0 $*"
if [ "$1" = "" -o "$1" = "/" ] || [ ! -d $1 -a "$1" != "-del" -a "$2" != "-del" -a "$1" != "-check" ] ; then 
   echo ""
   echo "Syntax: $0 <source> [-del]"
   echo "   source: Verzeichnis mit VDR-Aufnahmen"
   echo ""
   echo "z.B. $0 /media"
   echo "   sucht nacht allen Aufnahmen unter /media und verlinkt diese"
   echo "   nach $VIDEO/_MEDIA_"
   echo ""
   echo "Falls als -del angegeben ist werden alle links nach <source> unter"
   echo "$VIDEO/_MEDIA_ geloescht."
   echo ""
   echo "Wird als source -check angegeben ist werden alle unter $VIDEO/_MEDIA_"
   echo "verlinkten Aufnahmen die ins Leere zeigen geloescht."
   echo ""
   exit 1
fi   

SOURCE_PATH="$1"
MEDIA_PATH="$VIDEO/_MEDIA_"
VID_FLS="/tmp/~vidfls"

if [ "$1" = "-del" ] ; then
   echo "Loesche Links unter $MEDIA_PATH"
   for i in $(find $MEDIA_PATH -name "*.rec") ; do 
      rm "$i" 2>/dev/null
   done
   for i in $(find $MEDIA_PATH -type d) ; do 
      rmdir -p "$i" 2>/dev/null
   done
elif [ "$1" = "-check" ] ; then
   echo "Loesche Links unter $MEDIA_PATH"
   for i in $(find $MEDIA_PATH -name "*.rec") ; do 
      LNK=$(readlink "$i")
      if [ "$LNK" = "" ] || [ ! -d "$LNK" ] ; then
         rm "$i"
      fi	 
   done
   for i in $(find $MEDIA_PATH -type d) ; do 
      rmdir -p "$i" > /dev/null 2>&1
   done
else
   [ ! -d $MEDIA_PATH ] && mkdir -p $MEDIA_PATH
   SOURCE_PATH="$(echo "$1" | sed -e "s:/$::")"
   SOURCE_BASE="$(echo "$SOURCE_PATH" | sed -e "s:.*/::")"

   for i in $(find $MEDIA_PATH -name "*.rec") ; do 
      LNK=$(readlink "$i" | grep "^${SOURCE_PATH}/")
      [ "$LNK" != "" ] && rm "$i"
   done
   if [ "$2" != "-del" ] ; then
      find "$SOURCE_PATH" -name "[12]*.rec" -type d | sort > $VID_FLS
      echo "Suche Aufnahmen unter $SOURCE_PATH ..."
      for i in $(find "$SOURCE_PATH" -name "[12]*.rec" -type d | sort) ; do
         echo "$i"
         if [ -f "${i}/001.vdr" ] ; then
            DN=$(dirname "$i" | sed -e "s:^$SOURCE_PATH::" | sed -e "s:/video/:/:")
            BN=$(basename "${i}")

            mkdir -p $MEDIA_PATH/$DN 2> /dev/null
            
            if [ -f $MEDIA_PATH/$DN/$BN ] ; then
               echo "$MEDIA_PATH/$DN/$BN bereits vorhanden"
            else    
               echo "Verlinke $i nach $MEDIA_PATH/$DN"
               ln -s "$i" "$MEDIA_PATH/$DN"
            fi   
         fi
      done
   else
      rmdir -p ${MEDIA_PATH}/${SOURCE_BASE} > /dev/null 2>&1
   fi
fi

touch $VIDEO/.update
